
package de.ivu.elect.presentation.niederschrift.table;

import javax.inject.Inject;

import de.ivu.elect.business.niederschrift.boundary.NiederschriftFormatter;
import de.ivu.elect.business.niederschrift.boundary.NiederschriftStatusAenderungExtendedDAO;
import de.ivu.elect.jee.presentation.dynamictable.AbstractColumnBuilder;
import de.ivu.elect.presentation.niederschrift.NiederschriftViewContext;

public abstract class AbstractNiederschriftColumnBuilder<E> extends AbstractColumnBuilder<E> {

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient NiederschriftStatusAenderungExtendedDAO niederschriftStatusAenderungExtendedDAO;

  @Inject
  protected transient NiederschriftViewContext niederschriftViewContext;

  public AbstractNiederschriftColumnBuilder() {
    super();
  }

  protected boolean isNiederschriftErfassungMitWahlContext() {
    return niederschriftViewContext.isNiederschriftErfassungMitWahlContext();
  }

  protected NiederschriftFormatter getNiederschriftFormatter() {
    return niederschriftViewContext.getNiederschriftFormatter();
  }
}
